
Redmine - Defect #26730

Context Menu is broken on 3.4.2

2017-08-21 10:55 - fabrice salvaire

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.4.2

Description

On 3.3.0, I found these occurrences of contextMenuInit

redmine-3.3.0/public/javascripts/context_menu.js:function contextMenuInit(url) {

redmine-3.3.0/test/functional/versions_controller_test.rb:    assert_select "script", :text => Reg

exp.new(Regexp.escape("contextMenuInit('/issues/context_menu')"))

redmine-3.3.0/app/helpers/application_helper.rb:    javascript_tag "contextMenuInit('#{ url_for(ur

l) }')" 

 rather than on 3.4.2

redmine-3.4.2/public/javascripts/context_menu.js:function contextMenuInit(url) {

 A diff shows

@ -1154,7 +1297,7 @@

     end

   end

-  def context_menu(url)

+  def context_menu

     unless @context_menu_included

       content_for :header_tags do

         javascript_include_tag('context_menu') +

@@ -1167,7 +1310,7 @@

       end

       @context_menu_included = true

     end

-    javascript_tag "contextMenuInit('#{ url_for(url) }')" 

+    nil

   end

   def calendar_for(field_id)

History

#1 - 2017-08-21 13:33 - Toshi MARUYAMA

- Description updated

- Status changed from New to Needs feedback

- Priority changed from High to Normal

Please explain more details.

#2 - 2017-08-21 13:38 - fabrice salvaire

Right click on issues doesn't work any more on my Redmine 4.3.2 instance. And any event is attached on the ul/il elments.

Up to now, I only found the contextMenuInit function is no longer called. Is it dead code ?

#3 - 2017-08-21 13:48 - Toshi MARUYAMA
Try to clear browser cache.

#4 - 2017-08-21 13:52 - fabrice salvaire

It doesn't solve the issue.

I tested on Firefox and Chrome, there is any click and contextmenu event attached on the html element.

I added an explicit call to contextMenuInit at the end of context_menu.js, it attaches the event but it not enough to fix the issue.

#5 - 2017-08-21 14:42 - Toshi MARUYAMA

What plugins do you use?

#6 - 2017-08-21 14:47 - fabrice salvaire

Only this one http://github.com/bluezio/redmine_wiki_backlinks

And a custom theme

#7 - 2017-08-21 14:54 - Toshi MARUYAMA

What happens without your custom theme or plugin?

#8 - 2017-08-21 16:54 - fabrice salvaire

Same issue

#9 - 2017-09-06 22:25 - fabrice salvaire

Found issue, I did a mistake when I upgraded since I believed public was empty in source.

Must be rejected.

#10 - 2017-09-07 07:26 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid
